Linux Install issue

Forums: Linux Install issue
Houdini Integrated Plugin

Moderator: juanjgon

Linux Install issue

Postby Bronic » Fri Apr 21, 2017 3:01 am

Bronic Fri Apr 21, 2017 3:01 am
Hi Juanjo,

I've recently switched to ubuntu, I have Redshift and Arnold installed and working. Octane comes up in the shelf tool but gives ma a python issue similar to other errors I got when version numbers on Arnold were wrong.

I have Octane standalone installed and working.

Could you look at what I may be doing wrong?

Houdini 16.0.557

ENV:

HOUDINI_PATH = "/usr/redshift/redshift4houdini/16.0.557;/home/bronic/Octane_3.06.0.4_Houdini_16.0.557_Linux_gcc4.8;/home/bronic/htoa/htoa-1.14.4_r987f7af_houdini-16.0.557/htoa-1.14.4_r987f7af_houdini-${HOUDINI_VERSION};&"

PATH = "/usr/redshift/bin:$PATH/bin:$PATH"

HOUDINI_DSO_ERROR = 2
Bronic
Licensed Customer
Licensed Customer
 
Posts: 7
Joined: Wed May 13, 2015 4:44 pm

Re: Linux Install issue

Postby juanjgon » Fri Apr 21, 2017 8:14 am

juanjgon Fri Apr 21, 2017 8:14 am
Hi,

What Ubuntu version are you using? I think that the latest one doesn't have the freeglut lib used by the plugin installed by default. Can you please try this on your terminal?

sudo apt-get install freeglut3-dev


If this doesn't work, perhaps the problem is related to your PATH variable. You could try to include the plugin "bin" folder on it, something like:

PATH = "/usr/redshift/bin:$PATH/bin:/home/bronic/Octane_3.06.0.4_Houdini_16.0.557_Linux_gcc4.8/bin:$PATH"


Thanks,
-Juanjo
Computer Graphics Software Developer
Octane plugin development and support: LightWave and Houdini
User avatar
juanjgon
Octane Plugin Developer
Octane Plugin Developer
 
Posts: 6121
Joined: Tue Jan 19, 2010 12:01 pm
Location: Spain

Re: Linux Install issue

Postby Bronic » Fri Apr 21, 2017 8:19 pm

Bronic Fri Apr 21, 2017 8:19 pm
Thanks!!

That worked, it was the freeglut lib. I'm on ubuntu 16.04.

I really appreciate it.

Bronic
Bronic
Licensed Customer
Licensed Customer
 
Posts: 7
Joined: Wed May 13, 2015 4:44 pm

Re: Linux Install issue

Postby mimbik » Fri Apr 21, 2017 9:05 pm

mimbik Fri Apr 21, 2017 9:05 pm
Hello, I have same issue but on Centos 7

here is my variable and I have houdini 16.557 and 16.583 installed but no luck..

HOUDINI_PATH = /home/dominik/Soft/Octane_3.06.0.0_TEST2_Houdini_Linux/Octane_3.06.0.0_Houdini_16.0.504.20_Linux_gcc4.8;&

Houdini doesn't load when this variable is set. :|
User avatar
mimbik
Licensed Customer
Licensed Customer
 
Posts: 19
Joined: Sat Feb 19, 2011 3:33 pm

Re: Linux Install issue

Postby juanjgon » Fri Apr 21, 2017 9:18 pm

juanjgon Fri Apr 21, 2017 9:18 pm
Hi,

The 16.0.504.20 plugin build is not going to work with H16.0.583. You must use the 16.0.557 plugin build. Your HOUDINI_PATH variable should be something like this (if you have the plugin folder inside the "Soft" folder):

HOUDINI_PATH = "home/dominik/Soft/Octane_3.06.0.4_Houdini_16.0.557_Linux_gcc4.8;&"

Thanks,
-Juanjo
Computer Graphics Software Developer
Octane plugin development and support: LightWave and Houdini
User avatar
juanjgon
Octane Plugin Developer
Octane Plugin Developer
 
Posts: 6121
Joined: Tue Jan 19, 2010 12:01 pm
Location: Spain

Return to Houdini


Who is online

Users browsing this forum: Google [Bot] and 1 guest

Wed Dec 12, 2018 4:06 pm [ UTC ]